com.informix.util

## Class IfxWarnMsg

- java.lang.Object
- - com.informix.util.IfxWarnMsg

    public class IfxWarnMsg
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `SANSIMODE`
`static java.lang.String` `SANSIWARN`
`static java.lang.String` `SCURSNAM`
`static java.lang.String` `SDATASKIP`
`static java.lang.String` `SDRSECOND`
`static java.lang.String` `SDVAR`
`static java.lang.String` `SFLT2DEC`
`static java.lang.String` `SHASLOG`
`static java.lang.String` `SHASWARN`
`static java.lang.String` `SNOPRVGRNT`
`static java.lang.String` `SNOPRVREVK`
`static java.lang.String` `SNULLFOUND`
`static java.lang.String` `STRUNC`
`static java.lang.String` `STURBOTYPE`
`static java.lang.String` `SWHERE`

### Constructor Summary

Constructors
Constructor and Description
`IfxWarnMsg()`

### Method Summary

Methods
`static java.sql.SQLWarning` `getSQLWarning(java.lang.String message, IfxConnection conn)` Return SQLWarning made up of the following information: - warning message
`static java.sql.SQLWarning` `getSQLWarning(java.lang.String message, java.lang.String locale)` Return SQLWarning made up of the following information: - warning message
`static java.sql.SQLWarning` `getSQLWarning(java.lang.String sqlstate, java.lang.String message, IfxConnection conn)` Return SQLWarning made up of the following information: - sqlstate - warning message
`static java.sql.SQLWarning` `getSQLWarning(java.lang.String sqlstate, java.lang.String message, java.lang.String locale)` Return SQLWarning made up of the following information: - sqlstate - warning message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHASWARN

    public static final java.lang.String SHASWARN

See Also:
  Constant Field Values

#### SHASLOG

    public static final java.lang.String SHASLOG

See Also:
  Constant Field Values

#### SNULLFOUND

    public static final java.lang.String SNULLFOUND

See Also:
  Constant Field Values

#### SANSIMODE

    public static final java.lang.String SANSIMODE

See Also:
  Constant Field Values

#### STURBOTYPE

    public static final java.lang.String STURBOTYPE

See Also:
  Constant Field Values

#### SFLT2DEC

    public static final java.lang.String SFLT2DEC

See Also:
  Constant Field Values

#### SANSIWARN

    public static final java.lang.String SANSIWARN

See Also:
  Constant Field Values

#### SWHERE

    public static final java.lang.String SWHERE

See Also:
  Constant Field Values

#### SCURSNAM

    public static final java.lang.String SCURSNAM

See Also:
  Constant Field Values

#### SDVAR

    public static final java.lang.String SDVAR

See Also:
  Constant Field Values

#### STRUNC

    public static final java.lang.String STRUNC

See Also:
  Constant Field Values

#### SDRSECOND

    public static final java.lang.String SDRSECOND

See Also:
  Constant Field Values

#### SDATASKIP

    public static final java.lang.String SDATASKIP

See Also:
  Constant Field Values

#### SNOPRVREVK

    public static final java.lang.String SNOPRVREVK

See Also:
  Constant Field Values

#### SNOPRVGRNT

    public static final java.lang.String SNOPRVGRNT

See Also:
  Constant Field Values

### Constructor Detail

#### IfxWarnMsg

    public IfxWarnMsg()

### Method Detail

#### getSQLWarning

    public static java.sql.SQLWarning getSQLWarning(java.lang.String sqlstate,
                                    java.lang.String message,
                                    java.lang.String locale)

Return SQLWarning made up of the following information: - sqlstate - warning message

Parameters:
  `sqlstate` -
  `message` -
  `locale` -
Returns:
  SQLWarning

#### getSQLWarning

    public static java.sql.SQLWarning getSQLWarning(java.lang.String sqlstate,
                                    java.lang.String message,
                                    IfxConnection conn)

Return SQLWarning made up of the following information: - sqlstate - warning message

Parameters:
  `sqlstate` -
  `message` -
  `conn` -
Returns:
  SQLWarning

#### getSQLWarning

    public static java.sql.SQLWarning getSQLWarning(java.lang.String message,
                                    IfxConnection conn)

Return SQLWarning made up of the following information: - warning message

Parameters:
  `message` -
  `conn` -
Returns:
  SQLWarning

#### getSQLWarning

    public static java.sql.SQLWarning getSQLWarning(java.lang.String message,
                                    java.lang.String locale)

Return SQLWarning made up of the following information: - warning message

Parameters:
  `message` -
  `locale` -
Returns:
  SQLWarning